Multivariate Pattern Analysis in Python

# mvpa2.clfs.warehouse.Warehouse

class `mvpa2.clfs.warehouse.``Warehouse`(known_tags=None, matches=None)

  Class to keep known instantiated classifiers

  Should provide easy ways to select classifiers of needed kind: clfswh[‘linear’, ‘svm’] should return all linear SVMs clfswh[‘linear’, ‘multiclass’] should return all linear classifiers capable of doing multiclass classification

  Attributes

  `descriptions` | Descriptions of registered items
  `internals` | Known internal tags of the classifiers
  `items` | Registered items

  Methods

  `get_by_descr`(descr) |
  `listing`() | Listing (description + internals) of registered items
  `print_registered`(*args) |

  Initialize warehouse

  Parameters:

  known_tags : list of str

  > List of known tags

  matches : dict

  > Optional dictionary of additional matches. E.g. since any regression can be used as a binary classifier, matches={‘binary’:[‘regression’]}, would allow to provide regressions also if ‘binary’ was requested

  Attributes

  `descriptions` | Descriptions of registered items
  `internals` | Known internal tags of the classifiers
  `items` | Registered items

  Methods

  `get_by_descr`(descr) |
  `listing`() | Listing (description + internals) of registered items
  `print_registered`(*args) |

  `descriptions`

    Descriptions of registered items

  `get_by_descr`(descr)
  `internals`

    Known internal tags of the classifiers

  `items`

    Registered items

  `listing`()

    Listing (description + internals) of registered items

  `print_registered`(*args)